Bug 98169 - gFTP hangs (with 100% CPU) when retrieving FTP directory listing through proxy
gFTP hangs (with 100% CPU) when retrieving FTP directory listing through proxy
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gftp (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-27 08:19 EDT by Tomas Mraz
Modified: 2013-04-02 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 09:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2003-06-27 08:19:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
gFTP simply hangs (with 100% CPU) when retrieving FTP directory listing through
HTTP proxy. The proxy server is squid and gFTP works fine if it's connected to
the same FTP server directly.


Version-Release number of selected component (if applicable):
2.0.14-2

How reproducible:
Always

Steps to Reproduce:
1. Setup gFTP so it connects to FTP servers through a HTTP proxy.
2. Try to connect a FTP server.

    

Actual Results:  It hangs.

Expected Results:  It should work normally.

Additional info:
Comment 1 Tomas Mraz 2004-09-02 09:25:51 EDT
This is solved in upstream version 2.0.17

Note You need to log in before you can comment on or make changes to this bug.